Skip to main content
PUT
/
api
/
v1
/
projects
/
{id}
/
sections
/
{section_id}
Update a project section.
curl --request PUT \
  --url https://api.backside.app/api/v1/projects/{id}/sections/{section_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "position": 123
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "name": "<string>",
  "position": 123,
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Project ID

section_id
string<uuid>
required

Section ID

Body

application/json
name
string | null
position
integer<int32> | null

Response

created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
name
string
required
position
integer<int32>
required
project_id
string<uuid>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required